DEMANGLE(1)

NAME
demangle - Macht die Namenkodierung des Compilers für C++-Symbole rückgängig.

SYNOPSIS

demangle

BESCHREIBUNG

demangle liest eine Liste vom Compiler kodierter Symbolnamen von der Standardeingabe und übersetzt diese Namen in eine für Menschen lesbare Form.

Dieses Hilfsprogramm ist Teil der KDE Software-Entwicklungswerkzeuge.

BEISPIEL

Erstellen Sie eine Datei namen, die die folgenden kodierten Symbolnamen enthält:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Diese Namen können nun wie folgt dekodiert werden:

    example$ demangle < names Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

SIEHE AUCH

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.